/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import net.northking.cctp.platform.db.entity.CltDictItem;

import java.io.Serializable;
import java.util.List;

/**
 * Restful接口--更新资源--数据传输对象：dw用例表
 * <p>
 * createdate:  2022-01-26 15:45:30  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "dw用例表")
public class DwCaseDesignInfoUpdateDto implements Serializable {

    private List<CltDictItem> dictItems;

    private List<String> projectIds;

    private String tenantId;

    public List<CltDictItem> getDictItems() {
        return dictItems;
    }

    public void setDictItems(List<CltDictItem> dictItems) {
        this.dictItems = dictItems;
    }

    public List<String> getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(List<String> projectIds) {
        this.projectIds = projectIds;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}